org.apache.fop.render.intermediate.extensions

## Class URIAction

- java.lang.Object
- - org.apache.fop.render.intermediate.extensions.AbstractAction
  - - org.apache.fop.render.intermediate.extensions.URIAction

All Implemented Interfaces:
  DocumentNavigationExtensionConstants, org.apache.xmlgraphics.util.XMLizable

    public class URIAction
    extends AbstractAction
    implements DocumentNavigationExtensionConstants

Action class which represents a "URI" action, i.e. an action that will call up an external resource identified by a URI.

### Field Summary

### Fields inherited from interface org.apache.fop.render.intermediate.extensions.DocumentNavigationExtensionConstants

`BOOKMARK, BOOKMARK_TREE, GOTO_URI, GOTO_XY, LINK, NAMED_DESTINATION, NAMESPACE, PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`URIAction(String uri, boolean newWindow)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getIDPrefix()` Returns a string that is used to prefix a generated ID to make it unique.
`String` `getURI()` Returns the target URI.
`boolean` `isNewWindow()` Indicates whether the link shall be opened in a new window.
`boolean` `isSame(AbstractAction other)` Indicates whether two action are equal.
`void` `toSAX(ContentHandler handler)`

### Methods inherited from class org.apache.fop.render.intermediate.extensions.AbstractAction

`getID, getStructureTreeElement, hasID, isComplete, setID, setStructureTreeElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### URIAction

    public URIAction(String uri,
                     boolean newWindow)

Creates a new instance.

Parameters:
  `uri` - the target URI
  `newWindow` - true if the link should be opened in a new window

### Method Detail

#### getURI

    public String getURI()

Returns the target URI.

Returns:
  the target URI

#### isNewWindow

    public boolean isNewWindow()

Indicates whether the link shall be opened in a new window.

Returns:
  true if a new window shall be opened

#### isSame

    public boolean isSame(AbstractAction other)

Indicates whether two action are equal. Note: this is not the same as `Object.equals(Object)`!

Specified by:
  `isSame` in class `AbstractAction`
Parameters:
  `other` - the other action to compare to
Returns:
  true if the actions are equal

#### getIDPrefix

    public String getIDPrefix()

Returns a string that is used to prefix a generated ID to make it unique.

Overrides:
  `getIDPrefix` in class `AbstractAction`
Returns:
  the prefix string

#### toSAX

    public void toSAX(ContentHandler handler)
               throws SAXException

Specified by:
  `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
Throws:
  `SAXException`